﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Entidades;
using Datos;

namespace Negoci
{
    public class AmicsBL : IBusinessLogic<Amics>
    {
        public List<Amics> GetAll()
        {
            return new AmicsDA().GetAll();
        }
        public void Adicionar(Amics item)
        {
            AmicsDA da = new AmicsDA();
            da.Adicionar(item);
        }

        public void Eliminar(Amics item)
        {
            throw new NotImplementedException();
        }

        public void Actualizar(Amics nuevoItem, Amics originalItem)
        {
            AmicsDA da = new AmicsDA();
            da.Actualizar(nuevoItem, originalItem);
        }

        public List<Amics> GetUserFriends(int id)
        {
            return new AmicsDA().GetUserFriends(id);
        }

        public List<Amics> GetFriend(int myId, int friend_id)
        {
            return new AmicsDA().GetFriend(myId, friend_id);
        }

        public void ActualitzaEstat(int friendId, int myId, int nouEstat)
        {
            AmicsDA da = new AmicsDA();
            da.ActualitzaEstat(friendId, myId, nouEstat);
        }
    }
}