﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Entidades;
using Datos;

namespace Negoci
{
    public class MediaBL : IBusinessLogic<Media>
    {
        public List<Media> GetAll()
        {
            return new MediaDA().GetAll();
        }

        public List<Media> GetMediaPublicacio(int id)
        {
            return new MediaDA().GetMediaPublicacio(id);
        }

        public void Adicionar(Media item)
        {
            MediaDA da = new MediaDA();
            da.Adicionar(item);
        }

        public void Eliminar(Media item)
        {
            throw new NotImplementedException();
        }

        public void Actualizar(Media nuevoItem, Media originalItem)
        {
            MediaDA da = new MediaDA();
            da.Actualizar(nuevoItem, originalItem);
        }
    }
}
