﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site1.Master" AutoEventWireup="true" CodeBehind="Publicacions.aspx.cs" Inherits="Presentacio.Administracio.WebForm1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <br />
    <asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
        AutoGenerateColumns="False" DataKeyNames="id_publicacio" 
        DataSourceID="SqlDataSource1" CellPadding="4" ForeColor="#333333" 
        GridLines="None" style="text-align: center" Width="759px">
        <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
        <Columns>
            <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
            <asp:BoundField DataField="id_publicacio" HeaderText="id_publicacio" 
                ReadOnly="True" SortExpression="id_publicacio" />
            <asp:BoundField DataField="id_usuari" HeaderText="id_usuari" 
                SortExpression="id_usuari" />
            <asp:BoundField DataField="id_tematica" HeaderText="id_tematica" 
                SortExpression="id_tematica" />
            <asp:BoundField DataField="descripcio" HeaderText="descripcio" 
                SortExpression="descripcio" />
            <asp:BoundField DataField="data" HeaderText="data" SortExpression="data" />
            <asp:BoundField DataField="id_tipus" HeaderText="id_tipus" 
                SortExpression="id_tipus" />
        </Columns>
        <EditRowStyle BackColor="#999999" />
        <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
        <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
        <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
        <SortedAscendingCellStyle BackColor="#E9E7E2" />
        <SortedAscendingHeaderStyle BackColor="#506C8C" />
        <SortedDescendingCellStyle BackColor="#FFFDF8" />
        <SortedDescendingHeaderStyle BackColor="#6F8DAE" />
    </asp:GridView>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConflictDetection="CompareAllValues" 
        ConnectionString="<%$ ConnectionStrings:xarxasocialConnectionString %>" 
        DeleteCommand="DELETE FROM [Publicacio] WHERE [id_publicacio] = @original_id_publicacio" 
        InsertCommand="INSERT INTO [Publicacio] ([id_publicacio], [id_usuari], [id_tematica], [descripcio], [data], [id_tipus]) VALUES (@id_publicacio, @id_usuari, @id_tematica, @descripcio, @data, @id_tipus)" 
        OldValuesParameterFormatString="original_{0}" 
        SelectCommand="SELECT * FROM [Publicacio] ORDER BY [data] DESC" 
        UpdateCommand="UPDATE [Publicacio] SET [id_usuari] = @id_usuari, [id_tematica] = @id_tematica, [descripcio] = @descripcio, [data] = @data, [id_tipus] = @id_tipus WHERE [id_publicacio] = @original_id_publicacio">
        <DeleteParameters>
            <asp:Parameter Name="original_id_publicacio" Type="Int32" />
            <asp:Parameter Name="original_id_usuari" Type="Int32" />
            <asp:Parameter Name="original_id_tematica" Type="Int32" />
            <asp:Parameter Name="original_descripcio" Type="String" />
            <asp:Parameter Name="original_data" Type="DateTime" />
            <asp:Parameter Name="original_id_tipus" Type="Int32" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="id_publicacio" Type="Int32" />
            <asp:Parameter Name="id_usuari" Type="Int32" />
            <asp:Parameter Name="id_tematica" Type="Int32" />
            <asp:Parameter Name="descripcio" Type="String" />
            <asp:Parameter Name="data" Type="DateTime" />
            <asp:Parameter Name="id_tipus" Type="Int32" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="id_usuari" Type="Int32" />
            <asp:Parameter Name="id_tematica" Type="Int32" />
            <asp:Parameter Name="descripcio" Type="String" />
            <asp:Parameter Name="data" Type="DateTime" />
            <asp:Parameter Name="id_tipus" Type="Int32" />
            <asp:Parameter Name="original_id_publicacio" Type="Int32" />
            <asp:Parameter Name="original_id_usuari" Type="Int32" />
            <asp:Parameter Name="original_id_tematica" Type="Int32" />
            <asp:Parameter Name="original_descripcio" Type="String" />
            <asp:Parameter Name="original_data" Type="DateTime" />
            <asp:Parameter Name="original_id_tipus" Type="Int32" />
        </UpdateParameters>
    </asp:SqlDataSource>
    <asp:LinqDataSource ID="LinqDataSource1" runat="server" 
        ContextTypeName="Entidades.DataClasses1DataContext" EnableDelete="True" 
        EnableUpdate="True" EntityTypeName="" OrderBy="data desc" 
        TableName="Publicacio">
    </asp:LinqDataSource>
</asp:Content>
