﻿<%@ Page Title="Página principal" Language="C#" MasterPageFile="~/Site1.Master" AutoEventWireup="true"
    CodeBehind="Publicacions.aspx.cs" EnableEventValidation="false" Inherits="Presentacio._Publicacions" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
    <style type="text/css">
        .style4
        {
            height: 86px;
            width: 393px;
        }
        .style7
        {
            width: 236px;
        }
        .style8
        {
            width: 249px;
        }
        .style9
        {
            width: 249px;
            height: 21px;
        }
        .style10
        {
            height: 21px;
            width: 393px;
        }
    </style>
    <script src="Player/flowplayer-3.2.10.min.js" type="text/javascript"></script>
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        Xarxa social de la UOC</h2>
    <table style="height: 98px; width: 798px;">
        <tr>
            <td class="style7" align="center" rowspan="5">
                <asp:Image ID="UserImage" runat="server" Width="140px" />
                <br />
                <asp:Label ID="LabelNom" runat="server"></asp:Label>&nbsp;<asp:Label ID="LabelCognoms"
                    runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td align="right" class="style8">
                <br />
                <asp:Label ID="Label1" runat="server" Text="Què estàs pensant?"></asp:Label>
            </td>
            <td class="style4">
                <asp:TextBox ID="TextBox1" runat="server" Height="43px" Width="312px"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td align="right" class="style8">
                    <asp:Label runat="server" ID="lblUpload" Text="Pots afegir una imatge o vídeo:&nbsp;" />
            </td>
            <td>
                <asp:FileUpload ID="FileUpload1" runat="server" />
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <asp:Label ID="lblErrorVideo" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td align="right" valign="top">
                Selecciona una temàtica:
            </td>
            <td>
                <asp:DropDownList ID="DropDownList1" runat="server" Height="20px" Width="290px">
                </asp:DropDownList>
                <asp:RequiredFieldValidator id="RFV" ControlToValidate="DropDownList1" InitialValue="" runat="server" ValidationGroup="tematiquesDdl" ErrorMessage="<span style='color:Red;'>* Obligatori</span>" />
                <br /><br />
                <asp:Button ID="Button1" runat="server" Text="Enviar" OnClick="Button1_Click" CssClass="button" ValidationGroup="tematiquesDdl"/>
            </td>
        </tr>
    </table>
    <asp:Label ID="Label2" runat="server" Text=""></asp:Label>
    <br />
    <br />
                    <asp:ScriptManager ID="ScriptManager1" runat="server">
</asp:ScriptManager>

    <asp:Repeater ID="RepeaterPubli" runat="server" EnableViewState="false" OnItemDataBound="RepeaterCom_ItemDataBound"
        OnItemCommand="RepeaterPubli_ItemCommand">
        <HeaderTemplate>
            <table border="0" width="720" style="margin-left: 200px;border-left:1px solid #CCCCCC;padding-left:20px;">
        </HeaderTemplate>
        <ItemTemplate>
            <tr>
                <td>
                    &nbsp;
                </td>
                <td>
                    <asp:Label ID="id_publicacioLabel" runat="server" Text='<%# Eval("id_publicacio") %>'
                        Visible="false" />
                    <asp:Label ID="id_usuariLabel" runat="server" Text='<%# Eval("id_usuari") %>' Visible="false" />
                    <asp:Label ID="id_tematicaLabel" runat="server" Text='<%# Eval("id_tematica") %>'
                        Visible="false" />
                </td>
            </tr>
            <tr>
                <td>
                    <img src="UserImage/<%#Eval("imatge")%>" style="width: 60px;" />
                </td>
                <td>
                    <span style="color: #111; font-size: 12px;font-weight:bold">
                        <%#Eval("nom")%>&nbsp;<%#Eval("cognoms")%></span><br /><br /><%#Eval("descripcio")%><br /><asp:Label runat="server" ID="videoplayer" Text="" />
                    <br />
                    <span style="color: #ccc; font-size: 10px;">El
                        <%#Eval("data")%></span>
                </td>
            </tr>
            <tr>
                <td colspan="2" style="margin-left: 300px;">


 <asp:UpdatePanel ID="CheckListUpdatePanel" UpdateMode="Conditional" runat="server">
 <Triggers>
        <asp:AsyncPostBackTrigger ControlID="ButtonComment" 
            EventName="Click" />
    </Triggers>
    <ContentTemplate>
                    <asp:Repeater ID="RepeaterCom" runat="server">
                        <HeaderTemplate>
                            <table border="0">
                        </HeaderTemplate>
                        <ItemTemplate>
                            <tr>
                                <td style="width: 60px;">
                                    <img src="UserImage/<%#Eval("imatgeC")%>" style="width: 40px; margin-left: 40px;" alt="ImatgePerfil" />
                                </td>
                                <td style="width: 320px;background-color:#e9e9e8;">
                                    <span style="color: #111; font-size: 12px; text-align: left;">
                                        <%#Eval("nomC")%>&nbsp;<%#Eval("cognomsC")%></span><br /><%# DataBinder.Eval(Container.DataItem, "comentari_text") %></td>
                            </tr>
                        </ItemTemplate>
                        <FooterTemplate>
                            </table>
                        </FooterTemplate>
                    </asp:Repeater>
                    </ContentTemplate>
                    </asp:UpdatePanel>
                </td>
            </tr>
            <tr>
                <td colspan="2" style="margin:10px 0px;border-bottom-color:#CCCCCC; border-bottom-style:solid; border-bottom-width:1px;width:50%;padding-bottom:20px;">
                    <asp:TextBox ID="ComentariText" runat="server" EnableViewState="false" Width="267px"></asp:TextBox>
                    <asp:Button ID="ButtonComment" runat="server" CommandName="addComment" CommandArgument='<%# Eval("id_publicacio") %>'
                        Height="21px" Text="Comentar" Width="77px" UseSubmitBehavior="False" CssClass="button"/> 
                </td>
            </tr>
        </ItemTemplate>
        <FooterTemplate>
            </table>
        </FooterTemplate>
    </asp:Repeater>
    <br />
</asp:Content>
