﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Entidades;
using Negoci;

namespace Presentacio
{
    public partial class Site1 : System.Web.UI.MasterPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Convert.ToInt32(Session["UserRole"]) == 1)
            {
                NavigationMenu.Items.Add(new MenuItem
                {
                    Text = "Administrar Publicacions",
                    NavigateUrl = "~/Administracio/Publicacions.aspx"
                });

                NavigationMenu.Items.Add(new MenuItem
                {
                    Text = "Administrar Usuaris",
                    NavigateUrl = "~/Administracio/Usuaris.aspx"
                });
            }
        }

        
        protected void LinkButton1_Click(object sender, EventArgs e)
        {
            Session.Abandon();
            Response.Cookies.Add(new HttpCookie("ASP.NET_SessionId", ""));
            HttpContext.Current.Response.Redirect("~/Default.aspx", true); /* tu pagina de logueo*/

        }

        
    }
}