﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Site1.Master" CodeBehind="UserProfile.aspx.cs"
    Inherits="Presentacio.UserProfile" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="Server">
    <table cellpadding="2" cellspacing="2" width="100%">
        <tr>
            <td width="18%" valign="top" class="SkyBlueBorder" align="center">
                <asp:Image ID="UserImage" runat="server" Width="140px" />
                <br />
                <asp:Label ID="lblPhotoSideHeading" runat="server" CssClass="BlackText" Width="130px"
                    Height="31px">Selecciona una imatge</asp:Label>
                :<br />
                <input id="UploadUserPhoto" type="file" runat="server" width="300px"/><br />
                <br />
                <asp:Button ID="ButtonMakeProfile" runat="server" OnClick="ButtonMakeProfile_Click1"
                    Text="Enviar" Width="127px" CssClass="button" />
            </td>
            <td valign="top" class="GreenBorder">
                <asp:Label ID="LabelNom" runat="server" CssClass="bold" ></asp:Label>&nbsp;<asp:Label ID="LabelCognoms"
                    runat="server" CssClass="bold" ></asp:Label>
                <br />
                <br />
                <asp:Label ID="lblError" runat="server" ForeColor="Red" Visible="false"></asp:Label>
                <br />
                <table cellpadding="1" cellspacing="1" width="100%" border="0">
                    <tr>
                        <td>
                            <asp:Label ID="Lblsol" runat="server" Text="Sol·licituds d&#39;amistat" CssClass="bold" />
                        </td>
                    </tr>
                    <tr>
                        <td align="center">
                            <asp:Label ID="Label1" runat="server" CssClass="redtext"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top" align="center">
                            <asp:DataList ID="FriendRequestList" runat="server" Width="100%" RepeatColumns="5"
                                OnItemCommand="FriendRequestList_ItemCommand">
                                <ItemTemplate>
                                    <table border="0" cellpadding="2" cellspacing="2" align="center">
                                        <tr>
                                            <td align="center" valign="top">
                                                <a href='<%#getHREF(Convert.ToInt32(Eval("id_usuari")))%>'>
                                                    <input type="hidden" id="hiddenId" value='<%# DataBinder.Eval(Container.DataItem, "id_usuari") %>'
                                                        runat="server" name="hiddenId" />
                                                    <img src='<%#getSRC(Eval("imatge")== null?"noimatge.jpg":Eval("imatge").ToString())%>' align="middle" border="0" width="80px">
                                                </a><br />
                                                <%#Eval("nom")%>&nbsp;<%#Eval("cognoms")%><br /><b />
                                                <asp:Button ID="AcceptButton" runat="server" ToolTip="Accept" Text="Acceptar" CommandName="Accept" CssClass="button"/>
                                                <br />o<br />
                                                <asp:Button ID="Deny" runat="server" ToolTip="Deny" Text="Denegar" CommandName="Deny" CssClass="button" />
                                            </td>
                                        </tr>
                                    </table>
                                </ItemTemplate>
                            </asp:DataList>
                        </td>
                    </tr>
                </table>
                <br />
                <br />
                <br />
                <br />
                <br />
                <table cellpadding="0" cellspacing="1" border="0" width="100%">
                </table>
            </td>
            <td width="30%" valign="top">
                <table cellpadding="1" cellspacing="1" width="100%" border="0" class="FriendControlBlueBorder">
                    <tr>
                        <td class="style1">
                            <asp:Label ID="lblamics" runat="server" Text="Amics" CssClass="bold" />
                        </td>
                    </tr>
                    <tr>
                        <td align="center">
                            <asp:Label ID="Label2" runat="server" CssClass="redtext"></asp:Label>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top" align="center">
                            <asp:DataList ID="FriendList" runat="server" Width="100%" RepeatColumns="1">
                                <ItemTemplate>
                                    <table border="0" cellpadding="2" cellspacing="5">
                                        <tr>
                                            <td align="center" valign="top">
                                                <a href='<%#getHREF(Convert.ToInt32(Eval("id_usuari")))%>'>
                                                    <img src='<%#getSRC(Eval("imatge")== null?"noimatge.jpg":Eval("imatge").ToString())%>' align="middle" border="0" width="80px">
                                                </a>
                                            </td>
                                            <td>
                                                <%#Eval("nom")%>&nbsp;<%#Eval("cognoms")%></td>
                                        </tr>
                                    </table>
                                </ItemTemplate>
                            </asp:DataList>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <br />
    <br />
    <br />
    <asp:Label ID="chklabel" Text="Selecciona les temàtiques del teu interés:" runat="server"/>
    <br />
    <br />
    <asp:CheckBoxList ID="CheckBoxList1" runat="server" RepeatColumns="5" DataTextField="descripcio"
        DataValueField="id_tematica">
    </asp:CheckBoxList>
    <br />
    <asp:Button ID="btnTematicas" runat="server" Text="Guardar" OnClick="btnTematicas_Click" CssClass="button" style="margin-left:120px;"/>
    <br />
    <br />
    <asp:Label ID="Label3" Text="" runat="server"/>
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="HeadContent">
    <style type="text/css">
        .flashit
        {
        }
        .BlackText
        {
        }
        .style1
        {
            height: 20px;
        }
    </style>
</asp:Content>
