﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Entidades;

namespace Datos
{
    public class BaseDades
    {
        protected DataClasses1DataContext GetDC()
        {
            DataClasses1DataContext DC = new DataClasses1DataContext();
            DC.DeferredLoadingEnabled = false;
            return DC;
        }
        protected List<T> ConsultaLista<T>(IQueryable<T> query)
        {
            List<T> lista = new List<T>();
            foreach (T item in query)
            {
                lista.Add(item);
            }
            return lista;
        }
    }
}
