﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Entidades;
using Datos;

namespace Negoci
{
    public class ComentariBL : IBusinessLogic<Comentari>
    {
        public List<Comentari> GetAll()
        {
            return new ComentariDA().GetAll();
        }
        public void Adicionar(Comentari item)
        {
            ComentariDA da = new ComentariDA();
            da.Adicionar(item);
        }

        public void Eliminar(Comentari item)
        {
            throw new NotImplementedException();
        }

        public void Actualizar(Comentari nuevoItem, Comentari originalItem)
        {
            ComentariDA da = new ComentariDA();
            da.Actualizar(nuevoItem, originalItem);
        }

        public List<Comentari> GetComentaris(int id_publicacio)
        {
            return new ComentariDA().GetComentaris(id_publicacio);
        }
    }
}
