﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Entidades;
using Datos;

namespace Negoci
{
    public class PublicacioBL : IBusinessLogic<Publicacio>
    {
        public List<Publicacio> GetAll()
        {
            return new PublicacioDA().GetAll();
        }
        public void Adicionar(Publicacio item)
        {
            PublicacioDA da = new PublicacioDA();
            da.Adicionar(item);
        }

        public void Eliminar(Publicacio item)
        {
            throw new NotImplementedException();
        }

        public void Actualizar(Publicacio nuevoItem, Publicacio originalItem)
        {
            PublicacioDA da = new PublicacioDA();
            da.Actualizar(nuevoItem, originalItem);
        }

        public int AdicionarPublicacio(Publicacio item)
        {
            PublicacioDA da = new PublicacioDA();
            if (item.descripcio.Length == 0 && item.id_tipus==0)//No ha introduït texte ni video ni imatges
                return 0;
            
            int id = da.AdicionarPublicacio(item);
            return id;
        }

        private bool NoExisteix(Tematica tematica)
        {
            TematicaDA da = new TematicaDA();
            List<Tematica> ListaTematica = da.GetAll();
            if (ListaTematica.Contains(tematica))
                return false;
            return true;
        }

        public List<Publicacio> GetFriendsAndUserPub(int usu_id)
        {
            return new PublicacioDA().GetFriendsAndUserPub(usu_id);
        }
    }
}
