﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Entidades;
using Datos;

namespace Negoci
{
    public class UsuariBL : IBusinessLogic<Usuari>
    {
        public List<Usuari> GetAll()
        {
            return new UsuariDA().GetAll();
        }
        public void Adicionar(Usuari item)
        {
            UsuariDA da = new UsuariDA();
            da.Adicionar(item);
        }

        public void Eliminar(Usuari item)
        {
            throw new NotImplementedException();
        }

        public void Actualizar(Usuari nuevoItem, Usuari originalItem)
        {
            UsuariDA da = new UsuariDA();
            da.Actualizar(nuevoItem, originalItem);
        }

        public int GetUsuari(String name, String pass)
        {
            return new UsuariDA().GetUsuari(name, pass);
        }

        public int GetUserEmail(String name)
        {
            return new UsuariDA().GetUserEmail(name);
        }

        public List<Usuari> SearchUser(String name)
        {
            return new UsuariDA().SearchUser(name);
        }

        public List<Usuari> GetUser(int id)
        {
            return new UsuariDA().GetUser(id);
        }

        public List<Usuari> GetUserFriends(int id)
        {
            return new UsuariDA().GetUserFriends(id);
        }

        public List<Usuari> GetSolicitudsPendents(int id)
        {
            return new UsuariDA().GetSolicitudsPendents(id);
        }

        public List<Usuari> GetAmics(int id)
        {
            return new UsuariDA().GetAmics(id);
        }

        public void ActualitzaImatge(int usu_id, string PhotoName)
        {
            UsuariDA da = new UsuariDA();
            da.ActualitzaImatge(usu_id, PhotoName);
        }


    }
}
