﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Entidades;
using Datos;

namespace Negoci
{
    public class UsuariTematicaBL : IBusinessLogic<UsuariTematica>
    {
        public List<UsuariTematica> GetAll()
        {
            return new UsuariTematicaDA().GetAll();
        }
        public void Adicionar(UsuariTematica item)
        {
            UsuariTematicaDA da = new UsuariTematicaDA();
            da.Adicionar(item);
        }

        public void Eliminar(UsuariTematica item)
        {
            UsuariTematicaDA da = new UsuariTematicaDA();
            da.Eliminar(item);
        }

        public void Actualizar(UsuariTematica nuevoItem, UsuariTematica originalItem)
        {
            UsuariTematicaDA da = new UsuariTematicaDA();
            da.Actualizar(nuevoItem, originalItem);
        }

        public List<UsuariTematica> GetUserTemes(int id)
        {
            return new UsuariTematicaDA().GetUserTemes(id);
        }
    }
}